Get the README of a blueprint catalog service
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/blueprint/catalog/{provider}/{serviceFamily}/{serviceVersion}/readme \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/organization/{organizationId}/blueprint/catalog/{provider}/{serviceFamily}/{serviceVersion}/readme"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/organization/{organizationId}/blueprint/catalog/{provider}/{serviceFamily}/{serviceVersion}/readme', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Blueprint Catalog
Get the README of a blueprint catalog service
GET
/
organization
/
{organizationId}
/
blueprint
/
catalog
/
{provider}
/
{serviceFamily}
/
{serviceVersion}
/
readme
Get the README of a blueprint catalog service
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cloud provider (e.g. aws, gcp, azure)
Service family (e.g. mysql, postgresql)
Service version (e.g. 8, 14)
Response
README content in Markdown format
The response is of type string.
Was this page helpful?